package com.iamberry.wechat.core.entity.statictics;

import java.io.Serializable;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * 金牌会员统计信息 dto
 * 2016年12月26日
 * @author Administrator
 *
 */
public class GoldMemberStatisticsDto implements Serializable{
	private static final long serialVersionUID = -7605756391287684263L;
	
	private Integer placeId;				//商户id
	private String placeName;				//商户名称
	private Integer countSales = 0;			//销售台数
	private Integer underUser = 0;			//发展人数
	private String userNickName;			//用户昵称
	private String userHead;				//用户头像
	private Integer userBuyCount;			//用户购买总数
	private PageBean page = new PageBean();				//分页
	
	public Integer getPlaceId() {
		return placeId;
	}
	public void setPlaceId(Integer placeId) {
		this.placeId = placeId;
	}
	public String getPlaceName() {
		return placeName;
	}
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}
	public Integer getCountSales() {
		return countSales;
	}
	public void setCountSales(Integer countSales) {
		this.countSales = countSales;
	}
	public Integer getUnderUser() {
		return underUser;
	}
	public void setUnderUser(Integer underUser) {
		this.underUser = underUser;
	}
	public String getUserNickName() {
		return userNickName;
	}
	public void setUserNickName(String userNickName) {
		this.userNickName = userNickName;
	}
	public String getUserHead() {
		return userHead;
	}
	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}
	public Integer getUserBuyCount() {
		return userBuyCount;
	}
	public void setUserBuyCount(Integer userBuyCount) {
		this.userBuyCount = userBuyCount;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	@Override
	public String toString() {
		return "GoldMemberStatisticsDto [placeName=" + placeName
				+ ", countSales=" + countSales + ", underUser=" + underUser
				+ ", userNickName=" + userNickName + ", userBuyCount="
				+ userBuyCount + ", page=" + page + "]";
	}
	
}
